Package org.jcsp.net

# Class NetAltingConnectionClient

java.lang.Object
org.jcsp.lang.Guard
org.jcsp.lang.AltingConnectionClient
org.jcsp.lang.AltingConnectionClientImpl
org.jcsp.net.NetAltingConnectionClient

All Implemented Interfaces:
  `ConnectionClient`, `NetConnectionClient`, `Networked`

public class NetAltingConnectionClient extends AltingConnectionClientImpl implements NetConnectionClient

Instances of this class are `AltingConnectionClient` objects which connect to `ConnectionServer` objects over a JCSP.NET network.

Instances of this class are not guaranteed to be safe to use by muliple concurrent processes. See ``NetSharedAltingConnectionClient``.

Instances can be constructed by using a ``NetConnectionFactory`` or by using the ``NetConnection`` class.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`void`
`destroyClient()`
Destroys the client and frees any resources used in the JCSP.NET infrastructure.
`NetChannelLocation`
`getChannelLocation()`
Returns the location of the server.

### Methods inherited from class org.jcsp.lang.AltingConnectionClientImpl

`claim, isOpen, release, reply, request`

### Methods inherited from class org.jcsp.lang.AltingConnectionClient

`getAltingChannel, pending, setAltingChannel`

### Methods inherited from class org.jcsp.lang.Guard

`schedule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jcsp.lang.ConnectionClient

`isOpen, reply, request`

## Method Details

### getChannelLocation

public NetChannelLocation getChannelLocation()
Returns the location of the server.

Specified by:
  `getChannelLocation` in interface `Networked`
Returns:
  the server's `NetChannelLocation` object.

### destroyClient

public void destroyClient()
Destroys the client and frees any resources used in the JCSP.NET infrastructure.

Specified by:
  `destroyClient` in interface `NetConnectionClient`